> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vaultcord.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Visitor Data Rankings

> See the top rankings of where visiting members are coming from



## OpenAPI

````yaml get /stats/visitors
openapi: 3.0.0
info:
  description: VaultCord public API for developers to access resources
  version: 1.0.0
  title: VaultCord Developers API
  x-logo:
    url: https://cdn.vaultcord.com/logo.png
    backgroundColor: '#FFFFFF'
    altText: VaultCord logo
    href: https://vaultcord.com
servers:
  - description: VaultCord Developers API endpoint
    url: https://api.vaultcord.com
security:
  - bearerAuth: []
tags:
  - name: Servers
    description: Servers endpoints
  - name: Bots
    description: Bot endpoints
  - name: Backups
    description: Backup endpoints
  - name: Members
    description: Member endpoints
  - name: Alerts
    description: Alert endpoints
  - name: Whites
    description: Whitelist endpoints
paths:
  /stats/visitors:
    get:
      tags:
        - Stats
        - Visitors
      description: See the top rankings of where visiting members are coming from
      operationId: visitorStats
      responses:
        '200':
          $ref: '#/components/responses/visitorstats'
        '401':
          $ref: '#/components/responses/401'
components:
  responses:
    '401':
      description: >-
        API key invalid, please generate a new one from
        dash.vaultcord.com/developers
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
                example: false
              message:
                type: string
                example: 'New login required #2'
    visitorstats:
      description: Visitor stats
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
                example: true
              data:
                type: object
                properties:
                  state:
                    type: array
                    items:
                      type: object
                      properties:
                        value:
                          type: string
                          example: US
                          description: The country code or abbreviation
                        counter:
                          type: string
                          example: '12'
                          description: The number of visitors from this state or country
                  device:
                    type: array
                    items:
                      type: object
                      properties:
                        value:
                          type: string
                          example: Chrome, Linux br
                          description: Browser and OS combination
                        counter:
                          type: string
                          example: '2'
                          description: Number of occurrences for this device type
                  referrer:
                    type: array
                    items:
                      type: object
                      properties:
                        value:
                          type: string
                          example: https://discord.com/
                          description: The referring URL
                        counter:
                          type: string
                          example: '1'
                          description: Number of visits from this referrer
                  region:
                    type: array
                    items:
                      type: object
                      properties:
                        value:
                          type: string
                          example: Florida
                          description: Region name or user-defined area
                        counter:
                          type: string
                          example: '9'
                          description: Number of visits from this region
                  server:
                    type: array
                    items:
                      type: object
                      properties:
                        value:
                          type: string
                          example: Imported Tokens
                          description: The name of the server or service source
                        counter:
                          type: string
                          example: '86'
                          description: Count of requests associated with this server
                example:
                  state:
                    - value: US
                      counter: '12'
                    - value: PT
                      counter: '1'
                  device:
                    - value: Chrome, Linux br
                      counter: '2'
                    - value: undefined, undefined br
                      counter: '1'
                  referrer:
                    - value: https://discord.com/
                      counter: '1'
                  region:
                    - value: Florida
                      counter: '9'
                    - value: '[REDACTED BY USER]'
                      counter: '4'
                  server:
                    - value: Imported Tokens
                      counter: '86'
                    - value: RestoreBot Services 26
                      counter: '3'
                    - value: VaultCord Callback
                      counter: '2'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````